## apache-perl 1.3.26-1-1.26-0woody2

=== Makefile ===
##
##  Makefile -- Apache Extension Modules top-level Makefile
##  Written by Ralf S. Engelschall <rse@apache.org>
##

V=1.0.8

SUBDIRS= \
    mod_allowdev         \
    mod_auth_cookie      \
    mod_auth_cookie_file \
    mod_auth_external    \
    mod_auth_inst        \
    mod_auth_system      \
    mod_eaccess          \
    mod_bandwidth        \
    mod_cgisock          \
    mod_cache            \
    mod_urlcount         \
    mod_disallow_id      \
    mod_layout           \
    mod_lock             \
    mod_peephole         \
    mod_put              \
    mod_qs2ssi           \
    mod_session          \
    mod_ticket           \
    mod_fastcgi          \
    mod_random           \
    mod_roaming          \
    mod_ip_forwarding    \
    mod_macro

EXTRA_SUBDIRS= \
    mod_monitor          \
    mod_define          

EXTRA      = 0
APXS       = apxs
APXSFLAGS  =

SUBDIRFLAGS = APXS=$(APXS) EXTRA=$(EXTRA)

all:
	@if [ ".$(APXS)" = .apxs -a ".`which apxs`" = . ]; then \
		echo ""; \
		echo "** ERROR: APXS tool not found."; \
		echo "** ERROR: You need Apache 1.3's APXS in your PATH"; \
		echo "** ERROR: Alternatively use 'make APXS=/path/to/bin/apxs'"; \
		echo ""; \
		exit 1; \
	fi
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=all subdirmove

install: 
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=install subdirmove

clean: 
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=clean EXTRA=1 subdirmove

distclean: clean

subdirmove:
	@if [ ".`$(MAKE) -v dummy 2>/dev/null | grep 'GNU Make'`" != . ]; then \
		flag="--no-print-directory"; \
	else \
		flag=""; \
	fi; \
	if [ ".$(EXTRA)" = .0 ]; then \
	    subdirs="$(SUBDIRS)"; \
	else \
	    subdirs="$(SUBDIRS) $(EXTRA_SUBDIRS)"; \
	fi; \
	for dir in $$subdirs; do \
	    echo "===> $$dir ($(TARGET))"; \
		(cd $$dir; $(MAKE) $(MFLAGS) $$flag APXS="$(APXS)" APXSFLAGS="$(APXSFLAGS)" $(TARGET)) || exit 1; \
	    echo "<=== $$dir"; \
	done

dist:
	gtar --no-recursion -cvf - `find * -depth -print | sort` |\
    tardy --user_number=0  --user_name=rse \
          --group_number=0 --group_name=apache \
          --prefix=apache-contrib-$(V) - |\
    gzip --best >/tmp/apache-contrib-$(V).tar.gz && \
	mv /tmp/apache-contrib-$(V).tar.gz ..
	ls -l ../apache-contrib-$(V).tar.gz

release:
	scp README taz.apache.org:/www/apache.org/dist/contrib/modules/1.3/apache-contrib.README
	scp ../apache-contrib-$(V).tar.gz taz.apache.org:/www/apache.org/dist/contrib/modules/1.3/

view-release:
	cftp ftp://ftp.apache.org/dist/contrib/modules/1.3/

=== mod_cache/Makefile ===

DSO   = libcache.so
SRCS  = mod_cache.c mmap_cache.c
OPTS  =
NAME  = -n cache

include ../Makefile.inc

=== mod_cgisock/Makefile ===

DSO   = mod_cgisock.so
SRCS  = mod_cgisock.c
OPTS  =

include ../Makefile.inc

=== mod_layout/Makefile ===

DSO   = mod_layout.so
SRCS  = mod_layout.c
OPTS  =

include ../Makefile.inc

=== mod_monitor/Makefile ===

DSO   = mod_monitor.so
SRCS  = mod_monitor.c
OPTS  =

include ../Makefile.inc

=== mod_random/Makefile ===

DSO   = mod_random.so
SRCS  = mod_random.c
OPTS  =

include ../Makefile.inc

=== apache-1.3.26/contrib/Makefile ===
##
##  Makefile -- Apache Extension Modules top-level Makefile
##  Written by Ralf S. Engelschall <rse@apache.org>
##

SUBDIRS= \
    mod_auth_sys \
    mod_autoindex

EXTRA_SUBDIRS=

EXTRA = 0
APXS  = $$(pwd)/../debian/local-apxs

SUBDIRFLAGS = APXS=$(APXS) EXTRA=$(EXTRA)

all:
	@if [ ".$(APXS)" = .apxs -a ".`which apxs`" = . ]; then \
		echo ""; \
		echo "** ERROR: APXS tool not found."; \
		echo "** ERROR: You need Apache 1.3's APXS in your PATH"; \
		echo "** ERROR: Alternatively use 'make APXS=/path/to/bin/apxs'"; \
		echo ""; \
		exit 1; \
	fi
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=all subdirmove

install: 
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=install subdirmove

clean: 
	rm -f $$(find . -name "*~")
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=clean EXTRA=1 subdirmove

distclean: clean

subdirmove:
	@if [ ".`$(MAKE) -v dummy 2>/dev/null | grep 'GNU Make'`" != . ]; then \
		flag="--no-print-directory"; \
	else \
		flag=""; \
	fi; \
	if [ ".$(EXTRA)" = .0 ]; then \
	    subdirs="$(SUBDIRS)"; \
	else \
	    subdirs="$(SUBDIRS) $(EXTRA_SUBDIRS)"; \
	fi; \
	for dir in $$subdirs; do \
	    echo "===> $$dir ($(TARGET))"; \
		(cd $$dir; $(MAKE) $(MFLAGS) $$flag APXS="$(APXS)" $(TARGET)) || exit 1; \
	    echo "<=== $$dir"; \
	done

=== debian/changelog ===
apache-perl (1.3.26-1-1.26-0woody2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backport security fixes from 1.3.27 for the following issues:
    - CAN-2002-0839 (shared memory scoreboard uid/gid)
    - CAN-2002-0840 (cross-site scripting in error page)
    - CAN-2002-0843 (buffer overflows in ApacheBench ab.c)
  * Fix insecure temporary file creation in htpasswd and htdigest
  * Added another fix against two overflowed buffer in the htdigest
    program

 -- Martin Schulze <joey@infodrom.org>  Mon,  4 Nov 2002 22:51:02 +0100

apache-perl (1.3.26-1-1.26-0woody1) testing-security; urgency=high

  * New upstream apache.
  * Fixes chunked encoding vulnerability.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 21 Jun 2002 10:08:33 -0400

apache-perl (1.3.24-3-1.26-1-1) unstable; urgency=low

  * New Apache patchlevel.
  * Fixes incompatibility with mod_proxy.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 16 May 2002 14:54:07 -0400

apache-perl (1.3.24-2-1.26-1-1) unstable; urgency=low

  * New upstream Apache.
  * Add Spanish templates (Closes: #142660).
  * Removed "thetarget_unquoted" patch from Apache.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 13 Apr 2002 18:05:16 -0400

apache-perl (1.3.23-1-1.26-1-3) unstable; urgency=low

  * Use restart rather than stop/start in postinst.
  * Change priority to extra.
  * Add Russian templates (Closes: #135872).
  * Add Catalan templates (Closes: #139743).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 29 Mar 2002 16:23:02 -0500

apache-perl (1.3.23-1-1.26-1-2) unstable; urgency=low

  * Remove postgresql and mysql build dependencies (Closes: #133763).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 17 Feb 2002 19:31:38 -0500

apache-perl (1.3.23-1-1.26-1-1) unstable; urgency=low

  * New upstream Apache (Closes: #123964).
  * Add German debconf template (Closes: #118960).
  * Warn about bad PidFile directive (Closes: #121637, #123285).

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  7 Feb 2002 13:52:09 -0500

apache-perl (1.3.22-2-1.26-3) unstable; urgency=low

  * Fix endcase/esac confusion on prerm (Closes: #118594).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  7 Nov 2001 11:01:18 -0500

apache-perl (1.3.22-2-1.26-2) unstable; urgency=low

  * Add missing build depends.

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  1 Nov 2001 12:22:11 -0500

apache-perl (1.3.22-2-1.26-1) unstable; urgency=low

  * New upstream apache.
  * New upstream mod_perl.
  * No longer conflict with apache (Closes: #56591, #74416).
  * Add a debconf note explaining our moved configuration.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 31 Oct 2001 00:00:34 -0500

apache-perl (1.3.20-1-1.25-5) unstable; urgency=low

  * New upstream apache (Closes: #101841, #97105).
  * Update for perl 5.6.1 (Closes: #98555, #106306).
  * Build with db1 and -I/usr/include/db1 regardless of whether gdbm is
    installed.
  * Disable EAPI_MM for now (Closes: #101050, #107215).
  * This package is known to have trouble with loading PerlModules,
    like AxKit.  The module is loaded first pass through the config file
    and not unloaded before the second pass.  I'm working on this problem,
    but uploading anyway to get an installable apache-perl into unstable.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 25 Aug 2001 17:31:40 -0700

apache-perl (1.3.19-1-1.25-4) unstable; urgency=low

  * New upstream apache and new debian revision of mod_perl.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 13 Apr 2001 20:01:46 -0400

apache-perl (1.3.14-2.3-1.25-3) unstable; urgency=low

  * New apache source to fix lingering AddDefaultCharsetName issues and
    gratuitous killing of programs named 'apache'.
  * New upstream mod_perl package.
  * Migrate to sane perl.
  * Add EAPI and EAPI_MM support (closes: #87288).

 -- Dan Jacobowitz <dan@debian.org>  Sun,  4 Mar 2001 12:52:15 -0500

apache-perl (1.3.14-1-1.24.01-1) unstable; urgency=medium

  * New upstream version of apache (Closes: #70472, #78676, #74710).
  * New upstream version of mod_perl.
  * Built with Perl 5.6 (Closes: #77893, #80698, #78113).
  * Update control handling and dependencies as per mod_perl package.
  * Update build dependencies from Apache.
  * Restart apache on upgrades, since apacheconfig has a tendency to leave
    us stopped.

 -- Dan Jacobowitz <dan@debian.org>  Tue,  9 Jan 2001 19:43:05 -0500

apache-perl (1.3.12-1-1.24-2) unstable; urgency=medium

  * Add debhelper build dep.  Thanks, Roman (Closes: #68402).
  * Last version is installable with current apache-common
    (Closes: #66708, #62715).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  2 Aug 2000 10:56:25 -0700

apache-perl (1.3.12-1-1.24-1) unstable; urgency=medium

  * New upstreams of both.
  * Play an evil sed trick in apache's debian/rules, because
    mod_ticket.c declares an int named 'bool'.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 31 Jul 2000 17:06:38 -0700

=== libapache-mod-perl-1.26/debian/changelog ===
libapache-mod-perl (1.26-1) unstable; urgency=low

  * New upstream version.
  * Rebuild with Apache 1.3.22 (Closes: #116743).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 24 Oct 2001 18:12:18 -0400

libapache-mod-perl (1.25-7) unstable; urgency=low

  * Rebuild with Apache 1.3.20-1.
  * Add patch to reduce the memory leaks on restarts yet further.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Jun 2001 11:32:38 -0700

libapache-mod-perl (1.25-6) unstable; urgency=low

  * Rebuilding with perl 5.6.1-2 solves the lintian fPIC error.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 23 May 2001 15:21:03 -0700

libapache-mod-perl (1.25-5) unstable; urgency=low

  * Adjust install directories and dependencies as per the latest perl
    policy (Closes: #95519).
  * Revert the child_num patch, according to upstream's opinion.
  * Build with perl 5.6.1, and matching build dependencies.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 21 May 2001 15:05:50 -0700

libapache-mod-perl (1.25-4) unstable; urgency=low

  * Bump build dependency to apache 1.3.19 (Closes: #92539, #91930).
  * Fix queer makefile bug: if Makefile is out of date w.r.t. Perl's
    Config.pm, make distclean tries to remake it, and prompts.
    Touch makefile before making distclean.

 -- Daniel Jacobowitz <dan@debian.org>  Mon,  2 Apr 2001 13:34:46 -0400

libapache-mod-perl (1.25-3) unstable; urgency=low

  * Patch from Philippe Troin to expose child_num() (closes: #86964).
  * Rebuild with even newer sane perl.

 -- Dan Jacobowitz <dan@debian.org>  Sun,  4 Mar 2001 12:02:53 -0500

libapache-mod-perl (1.25-2) unstable; urgency=low

  * Fix missing brace in control file.  Thanks to Philippe
    Troin. (closes: #86229)

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Feb 2001 18:40:37 -0500

libapache-mod-perl (1.25-1) unstable; urgency=low

  * New upstream version.
  * Patch from Philippe Troin <phil@fifi.org> to expose $r->allowed
    (closes: #85328).
  * Migrate to the sane perl.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Feb 2001 00:06:20 -0500

libapache-mod-perl (1.24.01-2) unstable; urgency=low

  * Rebuild with apache 1.3.14-1.

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  6 Dec 2000 16:47:47 -0500

libapache-mod-perl (1.24.01-1) unstable; urgency=low

  * New upstream release (1.24_01).
  * Recompile against Perl 5.6, and update build dependencies.
  * Link to shared libperl at last.
  * Recompile against apache 1.3.12-2.2, gaining large file support.
  * Adapt rules mechanism for the 5.00x -> 5.x transition.
  * Lose the silly sed tricks for building debian/control; lose
    debian/control.in.  Casualties: Build depends on perl 5.6 and
    libperl5.6 explicitly; can no longer build libapache-mod-perl-5.005
    style packages (you can build libapache-mod-perl that depends on
    perl 5.005, but it will still be named libapache-mod-perl).
    Not sure if those ever worked anyway...

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 27 Nov 2000 19:37:43 -0500

=== debian/control ===
Source: apache-perl
Section: web
Priority: extra
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.5.6
Build-Depends: sharutils, debhelper (>= 2.0.21), perl (>= 5.6.1-2), libperl-dev (>= 5.6.1-2), libwww-perl, libdevel-symdump-perl, libhtml-parser-perl, libdb2-dev (>= 2.7.7-2.1), libmm11-dev, libgdbmg1-dev

Package: apache-perl
Architecture: any
Depends: ${shlibs:Depends}, mime-support, apache-common (>= ${THISAPACHE}), apache-common (<< ${NEXTAPACHE}), libapache-mod-perl (>= ${THISMODPERL}), libapache-mod-perl (<< ${NEXTMODPERL}), debconf, dpkg (>> 1.9.0)
Recommends: apache
Provides: httpd
Priority: extra
Description: Versatile, high-performance HTTP server with added Perl support
 This version of Apache contains the mod_perl module statically linked.
 .
 The most popular server in the world, Apache features a modular
 design and supports dynamic selection of extension modules at runtime.
 Some of its strong points are its range of possible customization,
 dynamic adjustment of the number of server processes, and a whole
 range of available modules including many authentication mechanisms,
 server-parsed HTML, server-side includes, access control, CERN httpd
 metafiles emulation, proxy caching, etc.  Apache also supports multiple
 virtual homing.
 .
 Separate Debian packages are available for PHP3, Java Servlet support,
 Apache-SSL, and other common extensions.  More information is available
 at http://www.apache.org/.

=== libapache-mod-perl-1.26/debian/control ===
Source: libapache-mod-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: perl (>= 5.6.1-2), libperl-dev (>= 5.6.1-2), apache-dev (>= 1.3.22), debhelper, libwww-perl, libdevel-symdump-perl, libhtml-parser-perl, libgdbmg1-dev

Package: libapache-mod-perl
Architecture: any
Depends: apache-common (>= ${THISDEV}), apache-common (<< ${NEXTDEV}), ${perl:Depends}, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, liburi-perl, ${shlibs:Depends}
Description: Integration of perl with the Apache web server
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 It can produce anywhere from a 400% to 2000% speed increase
 on sites using perl scripts, and is used on many large script-
 based web sites - for example, http://slashdot.org.

=== apache-1.3.26/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Made with the aid of dh_make, by Craig Small.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Christoph Lameter.
# And from the X build system by Adam Heath.

# The ./configure invocation from hell - tweak CFLAGS here.

CONFLAGS =	-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O1

EXTRA_CONFARGS =

CONFARGS =	--target=apache --with-layout=Debian \
		--enable-suexec --suexec-caller=www-data \
		--suexec-docroot=/var/www --includedir=/$(inc) \
		--suexec-logfile=/var/log/apache/suexec.log \
		--without-confadjust --without-execstrip \
		--enable-shared=max --enable-rule=SHARED_CHAIN \
		--enable-module=most --enable-module=status \
		--enable-module=auth_digest --enable-module=log_referer \
		--enable-module=log_agent --enable-module=auth_db \
		$(EXTRA_CONFARGS) \
		--activate-module=src/modules/extra/mod_macro.c

CONFCMD	=	cd $(B) && CFLAGS="$(CONFLAGS)" ./configure $(CONFARGS)

# CAVEAT COMPILOR
#
#    $(B) version also hardcoded in debian/scripts/vars and debian/control
#    Change these for new upstream version.

B=$(SOURCE_DIR)/apache_1.3.26
C=$(SOURCE_DIR)/apache-contrib-1.0.8

######################################################################

include debian/scripts/vars
SHELL=/bin/bash
BUILDINFO=make dpkg-dev debian-policy debhelper
IN_TARGETS=$(patsubst %,debian/%,docs apache-dev.docs \
	apache-doc.docs apache-common.examples examples)

# Uncomment this to turn on verbose modes.
# export DH_VERBOSE=1
# export NOISY=1

FHS=$(shell test -f /usr/share/doc/debhelper/copyright && echo FHS)
ifeq ($(FHS),FHS)
doc=usr/share/doc/apache
man=usr/share/man
else
doc=usr/doc/apache
man=usr/man
endif

lib=usr/lib/apache/1.3
inc=usr/include/apache-1.3


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	@echo -e "\n\n*** Compiling daemon and modules\n"	
	cd $(B) && $(MAKE)
	@echo -e "\n--- modules: engelschall apache-contrib ---\n"
	cd $(C) && $(MAKE) APXS=$(CURDIR)/debian/local-apxs
	rm -f $(C)/mod_random/mod_random.so # in separate package
	rm -f $(C)/mod_layout/mod_layout.so # in separate package

	@echo -e "\n--- modules: netgods debian-contrib ---\n"
	cd contrib && $(MAKE) -k APXS=$(CURDIR)/debian/local-apxs

	@echo -e "\n--- modules: build-tree mod_auth_cache ---\n"
	cd build-tree/mod_auth_cache* \
		&& $(CURDIR)/debian/local-apxs -c mod_auth_cache.c
	@echo -e "\n--- modules: build-tree mod_throttle ---\n"
	cd build-tree/mod_throttle* \
		&& $(CURDIR)/debian/local-apxs -c mod_throttle.c

	@echo -e "\n--- sanity: module manifest check ---\n"
	find build-tree/ contrib/ \
		-name "*.so" -exec install -m 644 {} $(B) \;
	@set -e; echo; cd $(B) && cat $(CURDIR)/debian/module-manifest \
		| xargs -i ls -l --no-group {}; echo
	touch build-stamp

source.make: $(STAMP_DIR)/source.make
$(STAMP_DIR)/source.make:
	$(MAKE) -f debian/sys-build.mk source.make
#	false

configure-stamp: $(STAMP_DIR)/source.make
	@echo -e "\n\n*** Commencing laborious build of Debian Apache \
		1.3 $(FHS)\n"

	@echo -e "\n--- sanity: source code check ---\n"
	test -f /usr/bin/uudecode
	test -f /usr/include/db.h

	set -e ; for foo in debian/*inst* debian/*ostrm debian/*rerm ; \
		do echo -n "$$foo " ; sh -n $$foo ; done ; echo

	test ! -d $(C)/mod_cvs # mod_cvs in apache-contrib is non-free

	@echo -e "\n--- patch: EAPI support ---\n"
	cp build-tree/pkg.eapi/*.h $(B)/src/include
	cp build-tree/pkg.eapi/*.c $(B)/src/ap
	patch -d $(B) -p0 < build-tree/pkg.eapi/eapi.patch

	@echo -e "\n--- configure: APACI and APXS ---\n"
	cp $(C)/mod_macro/mod_macro.c $(B)/src/modules/extra

	$(CONFCMD)

	chmod +x debian/ubersed
	(debian/ubersed $(B)/src/apaci; \
		cat debian/apaci.append) > debian/apaci
	install debian/apaci $(B)/src/apaci

	cd $(B)/src/support && $(MAKE) apxs
	set -e; INCL=$$(echo $$(pwd)/$(B)/src/include); \
	 SBIN=$$(echo $$(pwd)/$(B)/src); sed \
	   	-e "s;^#!/.*;#!/usr/bin/perl;" \
		-e "s;\@prefix\@;/usr;" \
		-e "s;\@sbindir\@;$$SBIN;" \
		-e "s;\@libexecdir\@;/usr/lib/apache/1.3;" \
		-e "s;\@includedir\@;$$INCL;" \
		-e "s;\@sysconfdir\@;/etc/apache;" \
		-e "s;/httpd;/apache;g" \
		-e "s;-lm;-lc -lm;" \
		-e "s;-ldbm -ldb;;" \
		-e "s;-lndbm -ldb;;" \
		-e "s;-DTARGET;-DEAPI -DTARGET;" \
		-e "s;CFG_SYSCONFDIR/\$$CFG_TARGET;CFG_SYSCONFDIR/httpd;g" \
		$(B)/src/support/apxs > debian/local-apxs; \
	set -e; INCL=$$(echo $$(pwd)/$(B)/src/include); \
	 SBIN=$$(echo $$(pwd)/$(B)/src); sed \
		-e "s;$$INCL;/usr/include/apache-1.3;" \
		-e "s;$$SBIN;/usr/sbin;" \
		debian/local-apxs > debian/apxs
	chmod +x debian/{apxs,local-apxs}
	cp -a $(B)/src/os/unix/{*.h,*inline.c} \
		$(B)/src/include
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp install-stamp configure-stamp
	rm -f debian/apaci debian/buildinfo.Debian
	rm -f debian/{*.gif,*.jpg,*.gz,local-apxs,apxs} o debian/o
	rm -rf debian/debian $(IN_TARGETS) contrib/*/*o
	chmod +x debian/{*post*,*preinst*,*prerm*,modchk}
	chmod +x debian/{ubersed,apacheconfig,sys-build.mk,scripts/*.*}
	$(MAKE) -f debian/sys-build.mk source.clean
	rm -rf debian.diff debian/stampdir
	dh_clean

install: install-stamp
install-stamp: build-stamp $(IN_TARGETS)
	@echo -e "\n\n*** So Far So Good\n"
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd debian && uudecode logos.uue && tar -zxf logos.tar.gz
	mkdir -p debian/tmp/$(doc)

	@echo -e "\n--- install: apache ---\n"
	mkdir -p debian/tmp/$(man)/man8
	install $(B)/src/apache \
		debian/apacheconfig debian/tmp/usr/sbin
	cp -a debian/apacheconfig.8 debian/tmp/$(man)/man8

	mkdir -p debian/tmp/etc/logrotate.d
	cp -a debian/logrotate debian/tmp/etc/logrotate.d/apache

	chmod +x debian/ubersed
	debian/ubersed < $(B)/src/support/apachectl \
		>>  debian/tmp/usr/sbin/apachectl
	chmod +x debian/tmp/usr/sbin/apachectl
	debian/ubersed < $(B)/src/support/httpd.8 \
		> debian/tmp/$(man)/man8/apache.8
	debian/ubersed < $(B)/src/support/apachectl.8 \
		> debian/tmp/$(man)/man8/apachectl.8

	@echo -e "\n--- install: apache-common ---\n"

	mkdir -p debian/apache-common/{$(lib),usr/share/apache/icons/small}
	mkdir -p debian/apache-common/usr/{bin,sbin}
	cp -a info/* $$(find $(B) contrib/ -maxdepth 1 -name "*.so") \
		debian/apache-common/$(lib)
	cp -a $(B)/icons/*.{gif,png} debian/*.gif debian/*.jpg debian/debian \
		debian/apache-common/usr/share/apache/icons
	cp -a $(B)/icons/small/*.{gif,png} \
		debian/apache-common/usr/share/apache/icons/small
	mkdir -p debian/apache-common/$(doc)-common
	cp -a $(B)/icons/README \
		debian/apache-common/$(doc)-common/README.icons
	cp -a $(B)/icons/small/README.txt \
		debian/apache-common/$(doc)-common/README.small.icons
	cp -a $(B)/src/support/suexec.{c,h} \
		$(B)/src/include/ap_config.h \
		debian/apache-common/$(doc)-common/
	mkdir -p debian/apache-common/$(man)/man{1,8}

	install -m 4755 $(B)/src/support/suexec \
		debian/apache-common/usr/lib/apache/suexec
	install -D -m644 debian/apache-common.lintian \
		debian/apache-common/usr/share/lintian/overrides/apache-common
	install $(B)/src/support/{logresolve,rotatelogs,ab} \
		debian/apache-common/usr/sbin
	debian/ubersed < $(B)/src/support/suexec.8 \
		> debian/apache-common/$(man)/man8/suexec.8
	debian/ubersed < $(B)/src/support/logresolve.8 \
		> debian/apache-common/$(man)/man8/logresolve.8
	debian/ubersed < $(B)/src/support/rotatelogs.8 \
		> debian/apache-common/$(man)/man8/rotatelogs.8
	debian/ubersed < $(B)/src/support/ab.8 \
		> debian/apache-common/$(man)/man8/ab.8

	install $(B)/src/support/{htpasswd,htdigest,dbmmanage} \
		debian/apache-common/usr/bin
	debian/ubersed < $(B)/src/support/htpasswd.1 \
		> debian/apache-common/$(man)/man1/htpasswd.1
	debian/ubersed < $(B)/src/support/htdigest.1 \
		> debian/apache-common/$(man)/man1/htdigest.1
	debian/ubersed < $(B)/src/support/dbmmanage.1 \
		> debian/apache-common/$(man)/man1/dbmmanage.1

	@echo -e "\n--- install: apache-common module docs ---\n"

	for mod in $$(cd $(C) && sh -c "find * -type d -maxdepth 0") ; \

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

A := $(wildcard apache-*)
P := $(wildcard libapache-mod-perl-*)

APACHE_VER := $(shell echo $(A) | sed "s/apache-//")
NEXT_VER   := $(shell echo $(APACHE_VER) | awk -F. '{OFS="."; $$NF = $$NF + 1; print}')

MP_VER     := $(shell echo $(P) | sed "s/libapache-mod-perl-//")
NMP_VER    := $(shell echo $(MP_VER) | awk -F. '{OFS="."; $$NF = $$NF + 1; print}')

ABLD := $(A)/build-tree/apache_$(APACHE_VER)

# This mess only has the desired result if the latest perl is installed.
ifndef PERL
  PERL = /usr/bin/perl
endif

archlib = debian/tmp$(shell $(PERL) -MConfig -e 'print "$$Config{installvendorarch}";')

PERL_DEPEND_VERSION := $(shell $(PERL) $(P)/debian/perl_version)

build: build-stamp
build-stamp:
	dh_testdir

# Disabled until EAPI_MM is fixed
#		   export EAPI_MM=SYSTEM &&
	$(MAKE) -C $(A) -f debian/rules \
	  CONFCMD="cat $(shell pwd)/debian/config.layout.mp >> \
		     $(shell pwd)/$(ABLD)/config.layout && \
		   cd $(shell pwd)/$(P) && \
		   export CFLAGS=\"-I/usr/include/db1\" && \
		   export LIBS=\"-ldb1\" && \
		   $(PERL) Makefile.PL INSTALLDIRS=vendor \
		   USE_DSO=0 USE_APACI=1 DO_HTTPD=1 \
		   APACHE_SRC=$(shell pwd)/$(A)/\$$(B)/src \
		   APACI_ARGS=\"\$$(subst target=apache,target=apache-perl, \
		     \$$(subst layout=Debian,layout=DebianModPerl,\$$(CONFARGS))) \
		   --enable-rule=EAPI --disable-shared=perl\" \
		   PERL_SECTIONS=1 PERL_SSI=1 PERL_METHOD_HANDLERS=1 ALL_HOOKS=1 \
		   PERL_TIE_TABLES=1 PERL_DIRECTIVE_HANDLERS=1 PERL_STACKED_HANDLERS=1 \
		   PERL_TRACE=0 PERL_LOG_API=1 PERL_URI_API=1 PERL_UTIL_API=1 \
		   PERL_TABLE_API=1 PERL_FILE_API=1" \
		build					# PERL_DEBUG=1
	$(MAKE) -C $(P)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

	rm -f debian/apache-perl.init

	# In case I forgot when making the package.
	cp debian/ubersed $(A)/debian/ubersed

	(cd $(P) && $(MAKE) -f debian/rules clean)
	(cd $(A) && $(MAKE) -f debian/rules clean)

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs usr/sbin etc/cron.daily etc/init.d \
		var/cache/apache-perl var/log/apache-perl \
		etc/apache-perl usr/share/man/man8
	install -m 755 $(ABLD)/src/apache-perl debian/tmp/usr/sbin/
	chmod +x debian/ubersed
	debian/ubersed < $(ABLD)/src/support/apachectl \
		> debian/tmp/usr/sbin/apache-perl-ctl
	chmod +x debian/tmp/usr/sbin/apache-perl-ctl

	debian/ubersed < $(ABLD)/src/support/apachectl.8 \
		> debian/tmp/usr/share/man/man8/apache-perl-ctl.8

	debian/ubersed < $(ABLD)/src/support/httpd.8 \
		> debian/tmp/usr/share/man/man8/apache-perl.8

	cat $(A)/debian/cron.daily \
		| sed 's,/apache,/apache-perl,g' \
		> debian/tmp/etc/cron.daily/apache-perl
	chmod 755 debian/tmp/etc/cron.daily/apache-perl

	cp -f debian/extra-init.d debian/apache-perl.init
	cat $(A)/debian/init \
		| sed	-e 's,^NAME=.*,NAME=apache-perl,' \
			-e 's,^DAEMON=.*,DAEMON=/usr/sbin/apache-perl,' \
			-e 's,^CONF=.*,CONF=/etc/apache-perl/httpd.conf,' \
			-e 's,^APACHECTL=.*,APACHECTL=/usr/sbin/apache-perl-ctl,' \
			-e 's,/var/run/apache.pid,$$PIDFILE,' \
			-e '/^test -f $$DAEMON || exit 0$$/ i\' \
			-e  'test -f $$CONF || exit 0' \
		>> debian/apache-perl.init
	dh_installinit -a -n

	# Backwards compatibility, in case the existing config files
	# reference it.  The examples reference /etc/mime.types instead.
	ln -s ../mime.types debian/tmp/etc/apache-perl/mime.types
	install -m 644 debian/cron.conf debian/tmp/etc/apache-perl/cron.conf

	dh_installdebconf
	dh_installdocs
	dh_installexamples debian/doc/*
	dh_installchangelogs

	dh_strip
	dh_compress -a \
                --exclude=httpd.conf --exclude=access.conf --exclude=srm.conf
	dh_fixperms
	dh_shlibdeps

	dh_gencontrol -- -VTHISAPACHE="$(APACHE_VER)" \
		-VNEXTAPACHE="$(NEXT_VER)" \
		-VTHISMODPERL="$(MP_VER)" \
		-VNEXTMODPERL="$(NMP_VER)" \
		-VPERLDEPEND="$(PERL_DEPEND_VERSION)"
	dh_md5sums
	dh_installdeb
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== libapache-mod-perl-1.26/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEV_DPKG_VERSION := $(shell dpkg -s apache-dev | awk '/Version:/ {print $2}')
DEV_VERSION := $(shell echo $(DEV_DPKG_VERSION) | sed "s/^Version: \(.*\)-.*$$/\1/")
# (From the egcs packaging)
NEXTVERNO := $(shell echo $(DEV_VERSION) | awk -F. '{OFS="."; $$NF = $$NF + 1; print}')

# PERL_VER := $(shell /usr/bin/perl debian/perl_version)
# NEXT_PERL_VER := $(shell /usr/bin/perl debian/perl_version next)

PERL := /usr/bin/perl

# ifeq ($(shell $(PERL) -MConfig -e 'print "$$Config{useshrplib}"'), true)
LIBPERL := -lperl

build: build-stamp
build-stamp:
	dh_testdir

	$(PERL) Makefile.PL USE_APXS=1 WITH_APXS=/usr/bin/apxs \
		PERL_SECTIONS=1 PERL_SSI=1 PERL_METHOD_HANDLERS=1 ALL_HOOKS=1 \
		PERL_TIE_TABLES=1 PERL_DIRECTIVE_HANDLERS=1 PERL_STACKED_HANDLERS=1 \
		PERL_TRACE=0 PERL_LOG_API=1 PERL_URI_API=1 PERL_UTIL_API=1 \
		PERL_TABLE_API=1 PERL_FILE_API=1 \
		INSTALLDIRS=vendor # PERL_DEBUG=1
	$(MAKE) OPTIMIZE="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	dh_clean

	rm -f lib/Apache/MyConfig.pm t/docs/test.shtml \
		 t/net/config.pl t/net/perl/cgi.pl t/report t/conf/httpd.conf{,.old} \
		 t/httpd.conf apaci/find_source lib/mod_perl_hooks.pm
	find . -name .tmp.\* -exec rm -rf {} \;
	([ -f Makefile ] && touch Makefile && $(MAKE) distclean) || true
	chmod -R u+w .

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr install_vendor

	find `pwd`/debian/tmp \( -name .packlist -o -name perllocal.pod \) -exec \
	  rm -f '{}' \;
	# Why does this return nonzero?
	-find `pwd`/debian/tmp -type d -print0 | xargs -0 \
	  --no-run-if-empty rmdir -p --ignore-fail-on-non-empty

	mkdir -p debian/tmp/usr/lib/apache/1.3
	cp apaci/libperl.so debian/tmp/usr/lib/apache/1.3/mod_perl.so
	chmod 644 debian/tmp/usr/lib/apache/1.3/mod_perl.so
	cp debian/400mod_perl.info debian/tmp/usr/lib/apache/1.3/400mod_perl.info

	dh_installdocs
	cp -a eg/ debian/tmp/usr/share/doc/libapache-mod-perl/examples
	(cd debian/tmp/usr/share/doc/libapache-mod-perl && mv Changes changelog)

	find `pwd`/debian/tmp -type f \( -name \*.pm -o -name \*.pl \) \
	  -exec chmod a-x '{}' \;

	find `pwd`/debian/tmp -type f -name .cvsignore -exec rm '{}' ';'

	find `pwd`/debian/tmp -type f -name mod_perl.exp -exec rm '{}' ';'

	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_perl
	dh_gencontrol -- -VTHISDEV="$(DEV_VERSION)" \
		-VNEXTDEV="$(NEXTVERNO)"
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
